Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Nov 2025 22:56:07 -0800

Junio C Hamano <[email-masked]> writes:

> "brian m. carlson" <[email-masked]> writes:
>
>> The new Rust files have adopted an approach that is slightly different
>> from some of our other files and placed a license notice at the top.
>> This is required because of DCO part (a): "I have the right to submit it
>> under the open source license indicated in the file".  It also avoids
>> ambiguity if the file is copied into a separate location (such as an LLM
>> training corpus).
>
> You may be aware of them already, but just in case, I was looking at
> CI breakages ...

In addition to "cargo clippy" I reported earlier (and attempted to
fix) in a separate message, we have been seeing constant failure of
"win+Meson build" job at GitHub Actions CI.

  https://github.com/git/git/actions/runs/19414557042/job/55540901761#step:6:848

I attempted to build tonight's 'seen' without this topic and it
seemed to stop.

  https://github.com/git/git/actions/runs/19418361570/job/55551045554

This topic may need a bit of help from those who are clueful with
Rust and Windows.

Thanks.